Skip to main content
`Ctrl`+`K`

# PCHMGUseMatMAIJ

Set a flag that indicates if or not to use `MATMAIJ` for the interpolation matrices to save memory

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGUseMatMAIJ(PC pc, PetscBool usematmaij)

Logically Collective

## Input Parameters

- pc - the `PCHMG` context

- usematmaij - `PETSC_TRUE` (default) to use `MATMAIJ` for interpolations.

## Options Database Key

- -pc_hmg_use_matmaij - <true | false >

## See Also

KSP: Linear System Solvers, `PCHMG`, `PCType`, `PCGAMG`

## Level

beginner

## Location

src/ksp/pc/impls/hmg/hmg.c

## Examples

src/ksp/ksp/tutorials/ex4.c

## Implementations

PCHMGUseMatMAIJ_HMG() in src/ksp/pc/impls/hmg/hmg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages